Subject: Re: bug#5754: Bytecomp Arithmetic test failed

From: Eli Zaretskii <[email-masked]>
Date: Sun, 04 Apr 2010 09:25:10 +0300

> From: Chong Yidong <[email-masked]>
> Date: Sat, 03 Apr 2010 18:40:59 -0400
> Cc: [email-masked]
> 
> The key is that if I compile Emacs with CFLAGS="-g", then
> 
> (funcall
>  (byte-compile
>   (list 'lambda nil
> 	(quote (let ((a (expt 2 -1074)) (b 0.125)) (* a 8 b))))))
> 
> returns 0.0.  If I compile Emacs with CFLAGS="-g -O2", then it returns
> 5e-324.
> 
> It looks like this may be a compiler bug.

I doubt it.  I see this in GCC 3.4.x; the chances that two very
different versions have the same bug are less than slim, I think.

I'd suspect some bug in our code, before considering a GCC bug.